

#ifndef TXTFUNC_HEADER
#define TXTFUNC_HEADER

#define UART_USE_ENABLED

#ifdef UART_USE_ENABLED	
#define STRMAX 64
#define NUMMAX 32
#define RX_STRMAX 32
#define COMAMNDSIZEMAX  32
#define DELIMITER		','
#define DELIMITERSTR	","
#define ASC_CR	13
#define ASC_LF	10

// TYPEN DEKLARATION
typedef struct
	{
	char ucaCmd[COMAMNDSIZEMAX +1];
	int32_t ixCmdVal_1;
	int32_t ixCmdVal_2;
//uint8_t ucCmdID;
	}COMMAND_TYPE;

// GLOBALE VARIABLEN
// const char MCA_DELIMITER_MSG[] PROGMEM	= ",";
extern char* gpcRxPars;
extern char gcaRxStr[RX_STRMAX + 1]; //+1 for the 0
extern char gcaNumStr[NUMMAX + 1]; //+1 for the 0
extern char gcaStr[STRMAX + 1]; //+1 for the 0
extern COMMAND_TYPE gsCmd;


// PROTOTYPEN 
//Funktions Deklaration
extern void ResetRxBuff(void);
extern void UART_TXRX_Check(void);
extern void TokensRXStr(char *pcStrOrder); //von gcaRxStr


extern void CRLF(void);
extern void PrintCR(void);
extern void PrintStrCR(const char * pStr);
extern void Print_PStrCR(PGM_P pmStr);
extern void CheckOrder(char * pcStr);
extern void LongToNumStr(int32_t lVal);
extern void ULongToNumStr(uint32_t ulVal);
extern void PrintLongCR(int32_t lVal);
extern void PrintULongCR(uint32_t ulVal);
extern void FloatToNumStr(double fVal);
#endif  //UART_USE_ENABLED

#endif // TXTFUNC_HEADER
